Update a property definition
PATCH/nevisidm/api/core/v1/properties/:propertyId
Since: 8.2605.0, 9.2605.0
Required permission(s): AccessControl.PropertyModify
Partially updates the property definition with the given ID. Only provided fields will be updated. Fields not included in the request body remain unchanged.
Type conversion: The property type can be changed between STRING and ENUM. WARNING: Changing the property type will result in the permanent deletion of all existing values assigned to entities.
For ENUM type properties the allowed values list can be updated using the allowedValues field:
- To update an existing value, include its
allowedValueId. - To add a new value, omit the
allowedValueId. - To remove a value, exclude it from the
allowedValueslist.
Request
Responses
- 200
- 403
- 404
- 409
- 422
Property updated successfully
Insufficient permissions
Property not found
Optimistic locking conflict
Invalid property definition